### Method

# AppStream Component get_url

since: 0.6.2

#### Declaration [src]

    const gchar*
    as_component_get_url (
      AsComponent* cpt,
      AsUrlKind url_kind
    )

#### Description [src]

Gets a URL.

Available since: 0.6.2

#### Parameters

`url_kind`

  Type: `AsUrlKind`

  The URL kind, e.g. `AS_URL_KIND_HOMEPAGE`.

#### Return value

Type: `const gchar*`

String, or `NULL` if unset.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.